-- mix.lua
-- Written By Habna


function Mix()
	if IsSorting or IsMixing or IsMerging or IsSearching then
		write("Can't mix when sort, mix, merge or search function are active!");
		return
	end
	
	IsMixing = true;
	SortButton:SetVisible( false );
	SearchButton:SetVisible( false );
	MergeButton:SetVisible( false );
	write( "HugeBag: mixing items started" );

	Start= Turbine.Engine.GetGameTime();
	Timer = Turbine.UI.Control();
	Timer:SetWantsUpdates(true);

	Timer.Update = function( sender, args )
		local Time = Turbine.Engine.GetGameTime();
		local elapsed = Time - Start;

		if elapsed < 4 then
			i = math.random(1, backpackSize);
			j = math.random(1, backpackSize);
			while j == i do
				j = math.random(1, backpackSize);
			end

			item = frmMain.backpack:GetItem(j);
			if item ~= nil then frmMain.backpack:PerformItemDrop( item, i, false ); end
		else
			Timer:SetWantsUpdates(false);

			if ShowButton then
				SortButton:SetVisible( true );
				SearchButton:SetVisible( true );
				MergeButton:SetVisible( true );
			end
			
			IsMixing = false;
			write( "HugeBag: mixing items finished" );
			--write("<rgb=#888888>Mixing finished after ".. elapsed .." seconds.")
			Turbine.PluginManager.LoadPlugin( 'HugeBag LootBug' );
		end
	end
end