-- shellcmd.lua
-- written by Habna


function frmShellCmd()
	wShellCmd = Turbine.UI.Lotro.Window()
	--wShellCmd = Turbine.UI.Lotro.GoldWindow()
	
	-- **v Set backcolor, position, size and text of the window v**
	wShellCmd:SetSize( 525, 50 );
	wShellCmd:SetText( "HugeBag Window Shell Commands" );
	if Widget then wShellCmd:SetText( "HugeBag Widget Shell Commands "); end
	wShellCmd:SetVisible( true );
	--wShellCmd:SetZOrder( 2 );
	wShellCmd:Activate();
	-- **^
	-- **^
	LoadShellCommandName();
	LoadShellCommandDes();
	--**v Shell command v**
	local PosY = 40;
	local Max = 22 --Number of shell command in window mode
	if Widget then Max = 15; end --Number of shell command in widget mode

	for i = 1, Max do
		local lblShell = Turbine.UI.Label();
		lblShell:SetParent( wShellCmd );
		--lblShell:SetFont ( 12 );
		lblShell:SetText( ShellCommandName[i] );
		lblShell:SetPosition( 10, PosY );
		lblShell:SetSize( 85, 18 );
		lblShell:SetForeColor( green );
		lblShell:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );

		local lblShellDes = Turbine.UI.Label();
		lblShellDes:SetParent( wShellCmd );
		--lblShellDes:SetFont ( 12 );
		lblShellDes:SetText( ShellCommandDes[i] );
		lblShellDes:SetPosition( 100, PosY );
		lblShellDes:SetSize( wShellCmd:GetWidth() - lblShellDes:GetLeft(), 18 );
		lblShellDes:SetForeColor( white );
		lblShellDes:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
		PosY = PosY + 15;
		wShellCmd:SetHeight( PosY );
	end
	wShellCmd:SetHeight( PosY + 20 );

	local winWidth, winHeight = wShellCmd:GetSize();
	local left, top = ( screenWidth / 2 ) - ( winWidth / 2 ) , ( screenHeight / 2 ) - ( winHeight /2 )
    wShellCmd:SetPosition( left, top );
	--**^

	wShellCmd.KeyDown = function( sender, args )
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			wShellCmd:SetVisible(false);
		end
	end

	wShellCmd.Closing = function( sender, args )
		option_help:SetEnabled( true );
	end
end